package com.ssm.manage.dao.impl;

import com.ssm.core.impl.BaseDaoImpl;
import com.ssm.manage.dao.SsmDocPromotionProjectDao;
import com.ssm.manage.entity.DocPromotionProject;
import com.ssm.manage.mapper.DocPromotionProjectMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class SsmDocPromotionProjectDaoImpl extends BaseDaoImpl<DocPromotionProject> implements SsmDocPromotionProjectDao {
    @Autowired
    private DocPromotionProjectMapper mapper;

    @Override
    public DocPromotionProjectMapper getMapper() {
        return mapper;
    }

    @Override
    public DocPromotionProject queryOne(DocPromotionProject docPromotionProject) {
        return mapper.selectOne(docPromotionProject);
    }
}
